%global _missing_build_ids_terminate_build 0
%global debug_package %{nil}
%define _enable_debug_packages %{nil}

Name:           intel-oneapi-ipp
Version:        2021.1.1
Release:        1%{?dist}
Summary:        Intel Integrated Performance Primitives

License:        EULA
URL:            https://software.intel.com/content/www/us/en/develop/tools/oneapi/components/ipp.html
Source0:        %{name}-%{version}.tar.xz

ExclusiveArch:  x86_64

%description
Intel Integrated Performance Primitives (Intel IPP) is an extensive library of
ready-to-use, domain-specific functions that are highly optimized for diverse
Intel architectures. Its royalty-free APIs help developers:

* Take advantage of Single Instruction, Multiple Data (SIMD) instructions
* Improve the performance of computation-intensive applications, including
  signal processing, data compression, video processing, and cryptography
* Reduce cost and time to market for software development and maintenance

%package        libs
Summary:        Non-GUI libraries for %{name}

%description    libs
Non-GUI libraries required by %{name}

%package  	libs-devel
Summary:        Development files for %{name}-libs
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description	libs-devel
Development files for %{name}-libs.

%prep
%setup -q

%build
# nothing to build
%install
install -m 755 -d %{buildroot}%{_includedir}
install -m 755 -d %{buildroot}%{_libdir}

cp -ar usr/include/* %{buildroot}%{_includedir}
cp -ar usr/lib/* %{buildroot}%{_libdir}

%ldconfig_scriptlets libs


%files libs
%{_libdir}/lib*.so.*

%files libs-devel
%{_includedir}/*
%{_libdir}/lib*.so

%changelog
* Tue May 18 2021 Arkady L. Shane <ashejn@gmail.com> 2021.1.1-1
- initial build
